# $Revision: 1.8 $, $Date: 2012/01/15 17:19:30 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	Aligner
Summary:	Text::Aligner - justify strings to various alignment styles
Summary(pl.UTF-8):	Text::Aligner - justowanie łańcuchów z różnymi stylami wyrównania
Name:		perl-Text-Aligner
Version:	0.07
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	73088eaeae1e6c627398db1e7cc76717
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Justify strings to various alignment styles.

%description -l pl.UTF-8
Justowanie łańcuchów z różnymi stylami wyrównania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Text/Aligner.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-Aligner.spec,v $
Revision 1.8  2012/01/15 17:19:30  zbyniu
- up to 0.07

Revision 1.7  2008/07/27 22:24:20  arekm
- release 2

Revision 1.6  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.4  2004/11/03 22:30:48  paladine
- formatting

Revision 1.3  2004/05/21 18:01:44  qboosh
- better summaries

Revision 1.2  2004/05/21 17:54:29  qboosh
- pl, BR: perl-devel

Revision 1.1  2004/05/21 03:21:32  arekm
- initial pld release
